-- MySQL dump 10.9
--
-- Host: localhost    Database: pustaka
-- ------------------------------------------------------
-- Server version	4.1.9-nt-max-log

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE="NO_AUTO_VALUE_ON_ZERO" */;

--
-- Table structure for table `konsentrasi`
--

DROP TABLE IF EXISTS `konsentrasi`;
CREATE TABLE `konsentrasi` (
  `kode_kons` char(3) NOT NULL default '',
  `konsentrasi` varchar(30) NOT NULL default '',
  PRIMARY KEY  (`kode_kons`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `konsentrasi`
--


/*!40000 ALTER TABLE `konsentrasi` DISABLE KEYS */;
LOCK TABLES `konsentrasi` WRITE;
INSERT INTO `konsentrasi` VALUES ('inf','informatika'),('isy','isyarat & elektronika'),('knd','kendali'),('kom','komputer'),('ktn','ketenagaan'),('ln','lain-lain'),('tel','telekomunikasi');
UNLOCK TABLES;
/*!40000 ALTER TABLE `konsentrasi` ENABLE KEYS */;

--
-- Table structure for table `peminjam`
--

DROP TABLE IF EXISTS `peminjam`;
CREATE TABLE `peminjam` (
  `kd_peminjam` varchar(10) NOT NULL default '',
  `nama` varchar(30) NOT NULL default '',
  `status` enum('dosen','mahasiswa','umum') NOT NULL default 'mahasiswa',
  `th_masuk` year(4) NOT NULL default '0000',
  `no_telp` varchar(15) NOT NULL default '',
  `alamat` varchar(255) NOT NULL default '',
  `jml_pinjaman` tinyint(3) NOT NULL default '0',
  PRIMARY KEY  (`kd_peminjam`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `peminjam`
--


/*!40000 ALTER TABLE `peminjam` DISABLE KEYS */;
LOCK TABLES `peminjam` WRITE;
INSERT INTO `peminjam` VALUES ('131633941','Ir. Tumiran, M.Eng., Ph.D.','dosen',2005,'','',0),('131792962','Ir. Priyatmadi, MT.','dosen',2005,'','',0),('1318887486','Ir. Rudy Hartanto, MT.','dosen',2005,'','',0),('131963570','Ir. Lukito Edi Nugroho, M.Sc.,','dosen',2005,'','',0),('132133731','Ir. Marcus Nurtiantara Aji, MT','dosen',2005,'','',0),('132133996','Sri Suning Kusumawardani, ST.,','dosen',2005,'','',0),('132207786','Addin Suwastono, ST.','dosen',2005,'','',1),('19940','coba sabtu','mahasiswa',2006,'0000000','',0);
UNLOCK TABLES;
/*!40000 ALTER TABLE `peminjam` ENABLE KEYS */;

--
-- Table structure for table `peminjaman`
--

DROP TABLE IF EXISTS `peminjaman`;
CREATE TABLE `peminjaman` (
  `kd_peminjam` char(10) NOT NULL default '',
  `kd_pustaka` smallint(5) unsigned NOT NULL default '0',
  `tgl_pinjam` date NOT NULL default '0000-00-00',
  `tgl_kembali` date NOT NULL default '0000-00-00',
  PRIMARY KEY  (`kd_pustaka`,`kd_peminjam`,`tgl_pinjam`),
  KEY `peminjaman_fk_kd_peminjam` (`kd_peminjam`),
  CONSTRAINT `peminjaman_fk_kd_peminjam` FOREIGN KEY (`kd_peminjam`) REFERENCES `peminjam` (`kd_peminjam`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `peminjaman_fk_kd_pustaka` FOREIGN KEY (`kd_pustaka`) REFERENCES `pustaka` (`kd_pustaka`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `peminjaman`
--


/*!40000 ALTER TABLE `peminjaman` DISABLE KEYS */;
LOCK TABLES `peminjaman` WRITE;
INSERT INTO `peminjaman` VALUES ('132207786',1,'0000-00-00','2005-12-02'),('132207786',1,'2005-12-02','0000-00-00');
UNLOCK TABLES;
/*!40000 ALTER TABLE `peminjaman` ENABLE KEYS */;

--
-- Table structure for table `penerbit`
--

DROP TABLE IF EXISTS `penerbit`;
CREATE TABLE `penerbit` (
  `kd_penerbit` varchar(5) NOT NULL default '',
  `nama` varchar(30) NOT NULL default '',
  `no_telp` varchar(20) NOT NULL default '',
  `alamat` varchar(30) NOT NULL default '',
  PRIMARY KEY  (`kd_penerbit`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `penerbit`
--


/*!40000 ALTER TABLE `penerbit` DISABLE KEYS */;
LOCK TABLES `penerbit` WRITE;
INSERT INTO `penerbit` VALUES ('','','',''),('ADI','Andi Offset','0274-887887','Yogyakarta'),('ELEX','Elex Media Komputindo','0274-337333','Jakarta'),('GMA','Gadjah Mada Press','0274-337333','Jakarta'),('PH','Prentice Hall International','','');
UNLOCK TABLES;
/*!40000 ALTER TABLE `penerbit` ENABLE KEYS */;

--
-- Table structure for table `penulis`
--

DROP TABLE IF EXISTS `penulis`;
CREATE TABLE `penulis` (
  `kd_penulis` varchar(6) NOT NULL default '',
  `nama` varchar(30) NOT NULL default '',
  `pekerjaan` varchar(30) NOT NULL default '',
  `alamat` varchar(30) NOT NULL default '',
  PRIMARY KEY  (`kd_penulis`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `penulis`
--


/*!40000 ALTER TABLE `penulis` DISABLE KEYS */;
LOCK TABLES `penulis` WRITE;
INSERT INTO `penulis` VALUES ('','','',''),('ADK','Abdul Kadir','Penulis dan programmer kompute','Jakarta'),('AMN','Abdul','Pengamat','Jakarta'),('EFF','Muhammad Effendi Yahya','Mahasiswa','Yogyakarta'),('Laudon','Kenneth C. Laudon','',''),('ONO','Ono W. Purbo','Ono W. Purbo','Jakarta'),('Tanenb','Andrew S. Tanenbaum','','');
UNLOCK TABLES;
/*!40000 ALTER TABLE `penulis` ENABLE KEYS */;

--
-- Table structure for table `penulis_pustaka`
--

DROP TABLE IF EXISTS `penulis_pustaka`;
CREATE TABLE `penulis_pustaka` (
  `kd_grup_pustaka` smallint(5) unsigned NOT NULL default '0',
  `kd_penulis` char(6) NOT NULL default '',
  PRIMARY KEY  (`kd_grup_pustaka`,`kd_penulis`),
  KEY `penulis_pustaka_fk_kd_penulis` (`kd_penulis`),
  CONSTRAINT `penulis_pustaka_fk_kd_penulis` FOREIGN KEY (`kd_penulis`) REFERENCES `penulis` (`kd_penulis`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `penulis_pustaka`
--


/*!40000 ALTER TABLE `penulis_pustaka` DISABLE KEYS */;
LOCK TABLES `penulis_pustaka` WRITE;
INSERT INTO `penulis_pustaka` VALUES (0,''),(7,''),(8,''),(9,''),(10,''),(11,''),(14,''),(15,''),(17,''),(18,''),(21,''),(22,''),(23,''),(24,''),(25,''),(26,''),(27,''),(28,''),(29,''),(30,''),(31,''),(32,''),(33,''),(34,''),(35,''),(36,''),(37,''),(38,''),(39,''),(40,''),(44,''),(46,''),(47,''),(48,''),(49,''),(50,''),(51,''),(52,''),(53,''),(54,''),(55,''),(56,''),(57,''),(58,''),(59,''),(60,''),(61,''),(62,''),(63,''),(65,''),(66,''),(70,''),(71,''),(72,''),(0,'AMN'),(4,'AMN'),(9,'AMN'),(10,'AMN'),(13,'AMN'),(68,'AMN'),(69,'AMN'),(4444,'AMN'),(4,'EFF'),(9,'EFF'),(10,'EFF'),(12,'EFF'),(13,'EFF'),(200,'EFF'),(4444,'EFF'),(2,'Laudon'),(4,'Laudon'),(16,'Laudon'),(4444,'Laudon'),(9,'ONO'),(10,'ONO'),(200,'ONO'),(1,'Tanenb');
UNLOCK TABLES;
/*!40000 ALTER TABLE `penulis_pustaka` ENABLE KEYS */;

--
-- Table structure for table `pustaka`
--

DROP TABLE IF EXISTS `pustaka`;
CREATE TABLE `pustaka` (
  `kd_pustaka` smallint(8) unsigned NOT NULL auto_increment,
  `UDC` varchar(50) default NULL,
  `DDC` varchar(50) default NULL,
  `kd_grup_pustaka` smallint(5) unsigned NOT NULL default '0',
  `terdaftar` date NOT NULL default '0000-00-00',
  `tipe` enum('ta','kp','buku_ori','buku_copy','majalah','jurnal','thesis','desertation','modul/tutorial','modul_tutorial') NOT NULL default 'ta',
  `rilis` date NOT NULL default '0000-00-00',
  `edisi` varchar(50) NOT NULL default '',
  `kd_topik` varchar(20) NOT NULL default '',
  `judul` varchar(255) NOT NULL default '',
  `abstraksi` text NOT NULL,
  `kd_penerbit` varchar(5) NOT NULL default '',
  `halaman` smallint(3) unsigned NOT NULL default '0',
  `no_rak` varchar(10) default NULL,
  `jumlah` tinyint(3) unsigned NOT NULL default '1',
  `bid_kons` char(3) NOT NULL default 'KND',
  `link_cover` varchar(255) default NULL,
  `link_toc` varchar(255) default NULL,
  `link_content` varchar(255) default NULL,
  `status` enum('Ada','Dipinjam') NOT NULL default 'Ada',
  `owner` varchar(20) NOT NULL default 'pustakawan',
  PRIMARY KEY  (`kd_pustaka`),
  KEY `kd_grup_pustaka` (`kd_grup_pustaka`),
  KEY `kd_topik` (`kd_topik`),
  KEY `judul` (`judul`(20)),
  KEY `tipe` (`tipe`),
  KEY `bid_kons` (`bid_kons`),
  KEY `owner` (`owner`),
  KEY `abstraksi` (`abstraksi`(20)),
  KEY `kd_penerbit` (`kd_penerbit`),
  CONSTRAINT `kd_topik_f` FOREIGN KEY (`kd_topik`) REFERENCES `topik` (`kd_topik`) ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `pustaka`
--


/*!40000 ALTER TABLE `pustaka` DISABLE KEYS */;
LOCK TABLES `pustaka` WRITE;
INSERT INTO `pustaka` VALUES (1,NULL,NULL,1,'2005-12-02','','2001-01-01','second','os','Modern Operating Systems','','PH',951,'A2-1-1',1,'inf',NULL,NULL,NULL,'Dipinjam','pustakawan'),(2,NULL,NULL,2,'2005-12-02','','2005-12-02','eight','IS','Management Information System','','PH',534,'A2-1-1',1,'inf',NULL,NULL,NULL,'Ada','pustakawan'),(3,NULL,NULL,3,'2006-04-15','buku_copy','2006-01-01','ri','','coba riilis','coba riiliscoba riiliscoba riilis','',43,'22',0,'ln',NULL,NULL,NULL,'Dipinjam','pustakawan'),(4,'','',4,'2006-04-15','ta','2006-01-01','abstraksi','','abstraksiabstraksi','abstraksiabstraksiabstraksiabstraksiabstraksiabstraksiabstraksiabstraksiabstraksiabstraksiabstraksiabstraksiabstraksiabstraksiabstraksi','GMA',0,'33',1,'knd',NULL,NULL,NULL,'Dipinjam','pustakawan'),(7,'','',7,'2006-06-01','ta','2006-01-01','','','','','',0,'',1,'inf',NULL,NULL,NULL,'Ada','pustakawan'),(8,'','',7,'2006-06-01','ta','2006-01-01','','','','','',0,'',1,'inf',NULL,NULL,NULL,'Ada','pustakawan'),(9,'','',8,'2006-06-01','ta','2006-01-01','','','','','',0,'',1,'inf',NULL,NULL,NULL,'Ada','pustakawan'),(10,'','',9,'2006-06-01','ta','2006-01-01','','','','','',0,'',1,'inf',NULL,NULL,NULL,'Ada','pustakawan'),(11,'','',10,'2006-06-01','ta','2006-01-01','','','','','',0,'',1,'inf',NULL,NULL,NULL,'Ada','pustakawan'),(12,'','',11,'2006-06-02','buku_ori','2006-01-01','','','test kode topikkkkkkkkkkkkkk','','',0,'',1,'inf',NULL,NULL,NULL,'Ada','pustakawan'),(13,'','',11,'2006-06-02','buku_ori','2006-01-01','','','test kode topikkkkkkkkkkkkkk','','',0,'',1,'inf',NULL,NULL,NULL,'Ada','pustakawan'),(14,'','',12,'2006-06-02','ta','2006-01-01','','','test judull','','GMA',0,'',2,'inf',NULL,NULL,NULL,'Ada','pustakawan'),(15,'','',12,'2006-06-02','ta','2006-01-01','','','test judull','','GMA',0,'',2,'inf',NULL,NULL,NULL,'Ada','pustakawan'),(17,'','',13,'2006-06-02','ta','2006-01-01','','','test toppp','','',0,'',1,'inf',NULL,NULL,NULL,'Ada','pustakawan'),(18,'','',14,'2006-06-02','ta','2006-01-01','','','','','',0,'',1,'inf',NULL,NULL,NULL,'Ada','pustakawan'),(19,'','',15,'2006-06-02','ta','2006-01-01','','','','','',0,'',2,'inf',NULL,NULL,NULL,'Ada','pustakawan'),(20,'','',15,'2006-06-02','ta','2006-01-01','','','','','',0,'',2,'inf',NULL,NULL,NULL,'Ada','pustakawan'),(21,'','',16,'2006-06-03','kp','2006-01-01','','','','','',0,'',1,'inf',NULL,NULL,NULL,'Ada','pustakawan'),(22,'','',17,'2006-06-03','ta','2006-01-01','','','','abstraksi coba ja dehhhhhhhh hhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhh llllllllllll','',0,'',1,'inf',NULL,NULL,NULL,'Ada','pustakawan'),(23,'link','',18,'2006-06-12','ta','2006-01-01','','','','','',0,'',1,'inf',NULL,'','','Ada','pustakawan'),(24,'link2','',19,'2006-06-12','ta','2006-01-01','','','','','',0,'',1,'inf',NULL,'','','Ada','pustakawan'),(25,'link3','',20,'2006-06-12','ta','2006-01-01','','','','','',0,'',1,'inf',NULL,'','','Ada','pustakawan'),(26,'llllllllll','',21,'2006-06-12','ta','2006-01-01','','','','','',0,'',1,'inf',NULL,'','','Ada','pustakawan'),(27,'ffff','',22,'2006-06-12','ta','2006-01-01','','','','','',0,'',1,'inf',NULL,'','','Ada','pustakawan'),(28,'','',23,'2006-06-12','ta','2006-01-01','','','','','',0,'',1,'inf',NULL,'','','Ada','pustakawan'),(29,'linkkkkkkk','',24,'2006-06-12','ta','2006-01-01','','','','','',0,'',1,'inf',NULL,'D:\\My Documents\\Temp\\tarifUmum.ini','','Ada','pustakawan'),(30,'dsddsssds','',25,'2006-06-12','ta','2006-01-01','','','','','',0,'',1,'inf',NULL,'','','Ada','pustakawan'),(31,'','',26,'2006-06-12','ta','2006-01-01','','','','','',0,'',1,'inf',NULL,'','','Ada','pustakawan'),(32,'','',27,'2006-06-12','ta','2006-01-01','','','','','',0,'',1,'inf',NULL,'','','Ada','pustakawan'),(33,'','',28,'2006-06-12','majalah','2006-01-01','','','','','',0,'',1,'inf',NULL,'','','Ada','pustakawan'),(34,'','',29,'2006-06-12','ta','2006-01-01','','','','','',0,'',1,'inf',NULL,'','','Ada','pustakawan'),(35,'','',30,'2006-06-12','ta','2006-01-01','','','','','',0,'',1,'inf',NULL,'','','Ada','pustakawan'),(36,'','',31,'2006-06-12','ta','2006-01-01','','','','','',0,'',1,'inf',NULL,'','','Ada','pustakawan'),(37,'','',32,'2006-06-12','ta','2006-01-01','','','','','',0,'',1,'inf',NULL,'','','Ada','pustakawan'),(38,'','',33,'2006-06-12','ta','2006-01-01','','','','','',0,'',1,'inf',NULL,'','','Ada','pustakawan'),(39,'','',34,'2006-06-12','ta','2006-01-01','','','','','',0,'',1,'inf',NULL,'','','Ada','pustakawan'),(40,'','',35,'2006-06-12','ta','2006-01-01','','','','','',0,'',1,'inf',NULL,'','','Ada','pustakawan'),(41,'','',36,'2006-06-12','ta','2006-01-01','','','','','',0,'',1,'inf',NULL,'','','Ada','pustakawan'),(42,'','',37,'2006-06-12','ta','2006-01-01','','','','','',0,'',1,'inf',NULL,'','','Ada','pustakawan'),(43,'','',38,'2006-06-12','ta','2006-01-01','','','','','',0,'',1,'inf',NULL,'','','Ada','pustakawan'),(44,'','',39,'2006-06-12','ta','2006-01-01','','','','','',0,'',1,'inf',NULL,'','','Ada','pustakawan'),(45,'','',40,'2006-06-12','thesis','2006-01-01','','','','','',0,'',1,'inf',NULL,'','','Ada','pustakawan'),(49,'','',44,'2006-06-12','ta','2006-01-01','','','','','',0,'',1,'inf',NULL,'','','Ada','pustakawan'),(51,'','',46,'2006-06-12','jurnal','2006-01-01','','','','','',0,'',1,'inf',NULL,'','','Ada','pustakawan'),(52,'','',47,'2006-06-12','ta','2006-01-01','','','','','',0,'',1,'inf',NULL,'','','Ada','pustakawan'),(53,'linkkkk','',48,'2006-06-12','ta','2006-01-01','','','','','',0,'',1,'inf',NULL,'','','Ada','pustakawan'),(54,'link malam','',49,'2006-06-12','ta','2006-01-01','','','','','',0,'',1,'inf',NULL,'BI.jpg','An Exciting career.jpg','Ada','pustakawan'),(55,'llllllllllllllllllllll','lllllllllllllllllllllllllllllllllll',50,'2006-06-12','buku_ori','2006-01-01','','','','','',0,'',1,'inf',NULL,'BI.jpg','lowongan_rifa.doc','Ada','pustakawan'),(56,'ffffffffffffff','fffffffffffffff',51,'2006-06-12','ta','2006-01-01','','','','','',0,'',1,'inf',NULL,'files/56/toc/lowongan_rifa.doc','files/56/content/BI.jpg','Ada','pustakawan'),(57,'','',52,'2006-06-13','ta','2006-01-01','','','','','',0,'',1,'inf',NULL,'files/57/toc/An Exciting career.jpg','files/57/content/','Ada','pustakawan'),(58,'','',53,'2006-06-13','ta','2006-01-01','','','','','ELEX',0,'',1,'inf',NULL,'files/58/toc/','files/58/content/','Ada','pustakawan'),(59,'','',54,'2006-06-13','ta','2006-01-01','','','','','',0,'',1,'inf',NULL,'files/59/toc/An Exciting career.jpg','files/59/content/','Ada','pustakawan'),(60,'','',55,'2006-06-13','ta','2006-01-01','','','','','',0,'',1,'inf',NULL,'files/60/toc/','files/60/content/','Ada','pustakawan'),(61,'','',56,'2006-06-13','ta','2006-01-01','','','','','',0,'',1,'inf',NULL,'files/61/toc/An Exciting career.jpg','','Ada','pustakawan'),(62,'','',57,'2006-06-14','ta','2006-01-01','','','','','',0,'',1,'inf',NULL,'','files/62/content/An Exciting career.jpg','Ada','pustakawan'),(63,'','',58,'2006-06-14','ta','2006-01-01','','','','','',0,'',1,'inf',NULL,'','files/63/content/work test.doc','Ada','pustakawan'),(64,'','',59,'2006-06-14','jurnal','2006-01-01','','','','','',0,'',1,'inf',NULL,'','','Ada','pustakawan'),(65,'','',60,'2006-06-14','ta','2006-01-01','','','','','',0,'',1,'inf',NULL,'files/65/toc/bank.zip','','Ada','pustakawan'),(66,'','',61,'2006-06-14','','2006-01-01','','','','','',0,'',1,'inf',NULL,'','files/66/content/bank.zip','Ada','pustakawan'),(67,'','',62,'2006-06-14','ta','2006-01-01','','','','aaaaa','',0,'',1,'inf',NULL,'','','Ada','pustakawan'),(68,'','',63,'2006-06-14','ta','2006-01-01','','','','','',0,'',1,'inf',NULL,'','files/68/content/BI[2].jpg','Ada','pustakawan'),(81,'','',65,'2006-06-14','jurnal','2006-01-01','','','','','ELEX',0,'',1,'inf',NULL,'','files/81/content/BIYAS.NEW.txt','Ada','pustakawan'),(82,'','',66,'2006-06-14','buku_copy','2006-01-01','','','copy','','',0,'',10,'inf',NULL,'files/82/toc/controlpanel.bat','files/82/content/Win9xConHook.dll','Ada','pustakawan'),(83,'','',66,'2006-06-14','buku_copy','2006-01-01','','','copy','','',0,'',10,'inf',NULL,'files/82/toc/controlpanel.bat','files/82/content/Win9xConHook.dll','Ada','pustakawan'),(84,'','',66,'2006-06-14','buku_copy','2006-01-01','','','copy','','',0,'',10,'inf',NULL,'files/82/toc/controlpanel.bat','files/82/content/Win9xConHook.dll','Ada','pustakawan'),(85,'','',66,'2006-06-14','buku_copy','2006-01-01','','','copy','','',0,'',10,'inf',NULL,'files/82/toc/controlpanel.bat','files/82/content/Win9xConHook.dll','Ada','pustakawan'),(86,'','',66,'2006-06-14','buku_copy','2006-01-01','','','copy','','',0,'',10,'inf',NULL,'files/82/toc/controlpanel.bat','files/82/content/Win9xConHook.dll','Ada','pustakawan'),(87,'','',66,'2006-06-14','buku_copy','2006-01-01','','','copy','','',0,'',10,'inf',NULL,'files/82/toc/controlpanel.bat','files/82/content/Win9xConHook.dll','Ada','pustakawan'),(88,'','',66,'2006-06-14','buku_copy','2006-01-01','','','copy','','',0,'',10,'inf',NULL,'files/82/toc/controlpanel.bat','files/82/content/Win9xConHook.dll','Ada','pustakawan'),(89,'','',66,'2006-06-14','buku_copy','2006-01-01','','','copy','','',0,'',10,'inf',NULL,'files/82/toc/controlpanel.bat','files/82/content/Win9xConHook.dll','Ada','pustakawan'),(90,'','',66,'2006-06-14','buku_copy','2006-01-01','','','copy','','',0,'',10,'inf',NULL,'files/90/toc/Apache.exe','files/82/content/Win9xConHook.dll','Ada','pustakawan'),(91,'','',66,'2006-06-14','buku_copy','2006-01-01','','','copy','','',0,'',10,'inf',NULL,'files/82/toc/controlpanel.bat','files/82/content/Win9xConHook.dll','Ada','pustakawan'),(92,'','',0,'2006-06-25','ta','2006-01-01','','','','','',0,'',1,'inf',NULL,'','','Ada','pustakawan'),(93,'','',0,'2006-06-25','ta','2006-01-01','','','','','',0,'',1,'inf',NULL,'','','Ada','pustakawan'),(94,'','',0,'2006-06-25','ta','2006-01-01','','','','','',0,'',1,'inf',NULL,'','','Ada','pustakawan'),(95,'','',0,'2006-06-25','ta','2006-01-01','','','','','',0,'',1,'inf',NULL,'','','Ada','pustakawan'),(96,'','',0,'2006-06-25','ta','2006-01-01','','','','','',0,'',1,'inf',NULL,'','','Ada','pustakawan'),(97,'','',66,'2006-06-25','ta','2006-01-01','','','group','','',0,'',1,'inf',NULL,'','','Ada','pustakawan'),(98,'','',67,'2006-06-25','ta','2006-01-01','','','xx','','',0,'',1,'inf',NULL,'','','Ada','pustakawan'),(99,'','',68,'2006-06-25','ta','2006-01-01','','','zzz','','',0,'',1,'inf',NULL,'','','Ada','pustakawan'),(100,'','',69,'2006-06-25','ta','2006-01-01','','','yy','','',0,'',1,'inf',NULL,'','','Ada','pustakawan'),(101,'','',69,'2006-06-25','ta','2006-01-01','','','yy','','',0,'',1,'inf',NULL,'','','Ada','pustakawan'),(102,'','',69,'2006-06-25','ta','2006-01-01','','','yy','','',0,'',1,'inf',NULL,'','','Ada','pustakawan'),(103,'','',69,'2006-06-25','ta','2006-01-01','','','yy','','',0,'',3,'inf',NULL,'','','Ada','pustakawan'),(104,'','',69,'2006-06-25','ta','2006-01-01','','','yy','','',0,'',3,'inf',NULL,'','','Ada','pustakawan'),(105,'','',69,'2006-06-25','ta','2006-01-01','','','yy','','',0,'',3,'inf',NULL,'','','Ada','pustakawan'),(106,'','',4,'2006-06-26','ta','2006-01-01','','','abstraksiabstraksi','','',0,'',1,'inf',NULL,'','','Ada','pustakawan'),(107,'','',70,'2006-06-26','ta','2006-01-01','','','fgggggggggggggggggggggggggg','','',0,'',1,'inf',NULL,'','','Ada','pustakawan'),(108,'','',71,'2006-10-08','buku_ori','2006-01-01','','','file 22222222','','',0,'',1,'inf','files/108/cover/history.ini','','','Ada','pustakawan'),(109,'','',72,'2006-10-08','ta','2006-01-01','','','file 3333','','',0,'',1,'inf','','files/109/toc/history.ini','','Ada','pustakawan');
UNLOCK TABLES;
/*!40000 ALTER TABLE `pustaka` ENABLE KEYS */;

--
-- Table structure for table `test`
--

DROP TABLE IF EXISTS `test`;
CREATE TABLE `test` (
  `test` tinyint(3) unsigned NOT NULL default '0',
  PRIMARY KEY  (`test`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `test`
--


/*!40000 ALTER TABLE `test` DISABLE KEYS */;
LOCK TABLES `test` WRITE;
INSERT INTO `test` VALUES (2),(3),(4),(5),(10),(98),(100);
UNLOCK TABLES;
/*!40000 ALTER TABLE `test` ENABLE KEYS */;

--
-- Table structure for table `topik`
--

DROP TABLE IF EXISTS `topik`;
CREATE TABLE `topik` (
  `kd_topik` varchar(6) NOT NULL default '',
  `nama` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`kd_topik`),
  UNIQUE KEY `topik` (`nama`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `topik`
--


/*!40000 ALTER TABLE `topik` DISABLE KEYS */;
LOCK TABLES `topik` WRITE;
INSERT INTO `topik` VALUES ('',''),('888888',';;;;;;;;;;;;'),('uyuy','dusfyhasjfhasjfhas'),('ufdsuf','fdifusifuaifa'),('hore','hore ssl ku akhirnya mulusy :))))'),('ii','ifdsfa'),('IS','Information Systems'),('iufifu','iufiaufiasuifas'),('iu','iuidsfafa'),('iuisui','iuifuasifua]'),('idfui','iuisdfuoafuadofad\\'),('uieui','iuiuiufidsafas]'),('fdsfaf','jfhfkashfjkafaks'),('4---','jhkkkkkkoooo'),('jklsdj','jkfljflsdkajflasfjalkfjla'),('ui','jkfsdljfalfa'),('kdjslf','jklsdjflasjfaslfjas'),('dfjksf','jlkjlsakfjsdlkafjaslfja'),('jksjfl','kdjsalfjaslfkjaslfkjasl'),('jsdflj','lkfjdsafjsdflasdj'),('dsfasf','lkfjdsalfkjdasflkjas'),('dkslfj','lkjfdaslfjsalfjlaskfjasl'),('OS','Operating Systems'),('8','ppppppppppp'),('usfuaf','sdjfhsdkafkas fvasnd\''),('1','sssssssssssss'),('th','telekomunikasi hmmm'),('test1','test1'),('test2','test2'),('uyuyru','ujsdfjsahfkhafa'),('e','uuuuuuuuuuuuu'),('87','uuuuuuuuuuuuuuu'),('uywury','uyhfjhfjkashfajkfhafd]'),('uyuyu','uyrueuhdfjgasbhfkas'),('uyruwe','uyusdfhjaskhfkjashfa');
UNLOCK TABLES;
/*!40000 ALTER TABLE `topik` ENABLE KEYS */;

--
-- Table structure for table `topik_pustaka`
--

DROP TABLE IF EXISTS `topik_pustaka`;
CREATE TABLE `topik_pustaka` (
  `kd_grup_pustaka` smallint(5) unsigned NOT NULL default '0',
  `kd_topik` char(6) NOT NULL default '',
  PRIMARY KEY  (`kd_grup_pustaka`,`kd_topik`),
  KEY `topik_pustaka_fk_kd_topik` (`kd_topik`),
  CONSTRAINT `topik_pustaka_fk_kd_topik` FOREIGN KEY (`kd_topik`) REFERENCES `topik` (`kd_topik`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `topik_pustaka`
--


/*!40000 ALTER TABLE `topik_pustaka` DISABLE KEYS */;
LOCK TABLES `topik_pustaka` WRITE;
INSERT INTO `topik_pustaka` VALUES (0,''),(14,''),(15,''),(16,''),(18,''),(21,''),(22,''),(23,''),(24,''),(25,''),(26,''),(27,''),(28,''),(29,''),(30,''),(31,''),(32,''),(33,''),(34,''),(35,''),(36,''),(37,''),(38,''),(39,''),(40,''),(44,''),(46,''),(47,''),(48,''),(49,''),(50,''),(51,''),(52,''),(53,''),(54,''),(55,''),(56,''),(57,''),(58,''),(59,''),(60,''),(61,''),(62,''),(63,''),(65,''),(69,''),(71,''),(72,''),(13,'4---'),(68,'fdsfaf'),(70,'idfui'),(0,'ii'),(17,'ii'),(4,'IS'),(13,'IS'),(4444,'IS'),(66,'iu'),(68,'iufifu'),(13,'iuisui'),(66,'ufdsuf'),(0,'uieui'),(17,'uieui');
UNLOCK TABLES;
/*!40000 ALTER TABLE `topik_pustaka` ENABLE KEYS */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;

